package com.zegeba.plugin;

import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaPlugin;

import org.json.JSONObject;
import org.json.JSONArray;
import org.json.JSONException;

//Dyrk.org - Detection automatique IP / Hostname
import java.util.regex.Pattern;
import java.util.regex.Matcher;


import java.net.InetAddress;
import java.net.UnknownHostException;

public class DNSPlugin extends CordovaPlugin {

    public static final String ACTION_DNS_LOOKUP = "resolve";

    public boolean execute(String action, JSONArray args, CallbackContext ctx) {

        if (ACTION_DNS_LOOKUP.equals(action)) {
            try {
                String hostname = args.getString(0);
                JSONObject addr = getHostName(hostname);
                ctx.success(addr);
                return true;
            } catch (UnknownHostException uhe) {
                ctx.error(uhe.getMessage());
            } catch (JSONException je) {
                ctx.error("Bad params: " + je.getMessage());
            }
        } else {
            ctx.error("Invalid action");
        }

        return false;
    }

    private JSONObject getHostName(String name) throws UnknownHostException {
	


	Pattern re 	= Pattern.compile("([0-9]{0,3})\\.([0-9]{0,3})\\.([0-9]{0,3})\\.([0-9]{0,3})");
	Matcher m  	= re.matcher(name);
	JSONObject info = new JSONObject(); 
	try  {
		if (! m.matches()){
			//Return IP
        		info.put("name", name);
	        	info.put("ip"  , InetAddress.getByName(name).getHostAddress().toString());
		}
		else {
			//Return Hostname
	        	info.put("name"  , InetAddress.getByName(name).getHostName().toString());
        		info.put("ip"    , name);
		}
	}
	catch (JSONException e){ }
	return info;
    }
}
